[ "$RELEASE" -a "$RELEASE" != "rolling" ] && RELEASE_ADD="-$RELEASE" || RELEASE_ADD=
if [ "$MODE" = "rootfsinstall" ]; then
   DISKIMG_FILE="$LOCALSTATEDIR/${BASE_IMAGE}${RELEASE_ADD}-$LANGUAGE.$DEVICEARCH.tar.xz"
   echo "Using image $DISKIMG_FILE..."
   /usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV $DISKIMG_FILE || \
       { retcode=$?
         echo "$makedist_me: fatal error, aborting installation" >&2
         echo "$makedist_me: exit code was: $retcode" >&2
         echo "$makedist_me: sleeping 600 seconds"
         sleep 600
         { (exit 1); exit 1; }; }
elif [ "$MODE" = "usbinstall" ]; then
   DISKIMG_FILE="$LOCALSTATEDIR/openmamba${RELEASE_ADD}-livecd-$LANGUAGE.$ARCH.iso"
   echo "Using image $DISKIMG_FILE..."
   # FIXME: current hosting system requirements:
   # grub-efi.i586 mactel-boot
   /usr/sbin/usbinstall $LOOPDEV $DISKIMG_FILE -y || \
       { retcode=$?
         echo "$makedist_me: fatal error, aborting installation" >&2
         echo "$makedist_me: exit code was: $retcode" >&2
         echo "$makedist_me: sleeping 600 seconds"
         sleep 600
         { (exit 1); exit 1; }; }
else
   echo "$makedist_me: MODE is undefined; aborting."
   { (exit 1); exit 1; };
fi
